# A2A heat pump in lounge, all other radiators retained and run at 70°C.

parameters:
  duration: 4.0               # Duration of simulation, hours.
  cycleTime: 0.2              # Simulation cycle time, seconds
  reportInterval: 1           # Report interval, minutes.
  changeThreshold: 0.10       # Temperature threshold for determining if
                              # state has changed.
  sensorWeight: 0.0           # Air-radiant temperature weighting for
                              # calculating "operative" temperature.
                              # 0 is pure air temperature.
                              # 1 is pure radiant temperature.
  airTemp: -5                 # Outside air temperature, °C
  groundTemp: 10              # Ground temperature, °C

programs:
  temp21:
    - duration: 4.0
      setpoint: 21
  temp18:
    - duration: 4.0
      setpoint: 18

#!include materials.yaml
#!include slabs.yaml
#!include rooms.yaml

outside:
  Air:
    # Initially this is hugely simplified. No distinction is made between air
    # and radiant temperatures, and all external surfaces are assumed to be at
    # the same temperature.
    temperature: airTemp
  Ground:
    temperature: groundTemp

heaters:
  DiningRoom:
    maxPower: 1616
    minPower: 0
    type: air
    room: DiningRoom
    program: temp21
  Lounge:
    maxPower: 2300
    minPower: -2600
    type: air
    room: Lounge
    program: temp21
  BackRoom:
    maxPower: 882
    minPower: 0
    type: air
    room: BackRoom
    program: temp21
  FrontBedroom:
    maxPower: 470
    minPower: 0
    type: air
    room: FrontBedroom
    program: temp18
  BackBedroom:
    maxPower: 470
    minPower: 0
    type: air
    room: BackBedroom
    program: temp18
  Study:
    maxPower: 390
    minPower: 0
    type: air
    room: Study
    program: temp21
  Bathroom:
    maxPower: 415
    minPower: 0
    type: air
    room: Bathroom
    program: temp21
  Hall:
    maxPower: 821
    minPower: 0
    type: air
    room: Hall
    program: temp21

